/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.exceptions
 * File:    PublisherConstructionException.java
 *
 * Copyright (C) 2010-2011 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.exceptions;

/**
 * Exception to be thrown when Publisher cannot be created.
 * 
 * @author aw
 * @version 0.1
 * 
 * created: 27.11.09
 * changes:
 *  27.11.09 aw - Implemented this as Exception for wrong parameters
 *  while constructing a PublisherID
 *
 */
public class PublisherConstructionException extends Exception {
	
	/**
	 * autogenerated
	 */
	private static final long serialVersionUID = -4824056959248617964L;
	private String reason;
	private String sessionId;
	private String publisherId;
	
	/**
	 * Construct Exception only with references.
	 * 
	 * @param r
	 * @param p
	 * @param s
	 */
	public PublisherConstructionException(String r, String p, String s) {
		reason = r;
		publisherId = p;
		sessionId = s;
	}

	public String getReason() {
		return reason;
	}

	public String getSessionId() {
		return sessionId;
	}

	public String getPublisherId() {
		return publisherId;
	}
	
	

}
